### Method

# GdkX11 X11Monitor get_workarea

#### Declaration [src]

    void
    gdk_x11_monitor_get_workarea (
      GdkMonitor* monitor,
      GdkRectangle* workarea
    )

#### Description [src]

Retrieves the size and position of the “work area” on a monitor within the display coordinate space.

The returned geometry is in ”application pixels”, not in ”device pixels” (see `gdk_monitor_get_scale_factor()`).

#### Parameters

`workarea`

  Type: `GdkRectangle`

  A `GdkRectangle` to be filled with the monitor workarea.

  The argument will be set by the function.
  The returned data is owned by the instance.